import React from 'react'
import { ChakraProvider } from '@chakra-ui/core'
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom'
import loadable from '@loadable/component'

import Loading from './Loading'

const LoadableLogin = loadable(() => import('./Login'), {
  fallback: <Loading />,
})

function App(): JSX.Element {
  return (
    <ChakraProvider resetCSS>
      <Router>
        <Switch>
          <Route exact path="/">
            <LoadableLogin />
          </Route>
          {/*
            <Route exact path="/museo">
                <Museo />
            </Route>
          */}
        </Switch>
      </Router>
    </ChakraProvider>
  )
}

export default App
